apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ConfigMap
  data:
    config.json: |
      {
        "basePath": "/beta/operation",
        "beta": true,
        "auth": {
          "clientID": "ntof_operation",
          "clientSecret": "xxx",
          "callbackURL": "https://ntof-daq.web.cern.ch/beta/operation/auth/callback",
          "logoutURL": "https://ntof-daq.web.cern.ch/beta/operation"
        },
        "db": {
          "client": "oracledb",
          "connection": {
            "password": "xxx",
            "user": "ntofdev",
            "connectString": "devdb19-s.cern.ch:10121/devdb19_s.cern.ch" },
          "definition": {
            "info": { "title": "n_ToF DB", "version": "1.0.0" }
          }
        }
      }
  metadata:
    name: op-control-beta-config
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      image.openshift.io/triggers: |-
        [{
          "from": {"kind":"ImageStreamTag","name":"op-control:latest"},
          "fieldPath":"spec.template.spec.containers[0].image"
        }]
    labels:
      app: op-control-beta
    name: op-control-beta
  spec:
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: op-control-beta
    template:
      metadata:
        labels:
          app: op-control-beta
      spec:
        containers:
        - name: op-control-beta
          image: op-control:latest
          imagePullPolicy: Always
          env:
            - name: DEBUG
              value: 'http,auth'
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /beta/operation/dist/img/favicon.svg
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 30
            periodSeconds: 10
            successThreshold: 1
            timeoutSeconds: 30
          resources:
            requests: { memory: 128Mi, cpu: 10m }
            limits: { memory: 256Mi, cpu: 500m }
          ports:
            - containerPort: 8080
              protocol: TCP
          volumeMounts:
            - mountPath: "/etc/app"
              name: config
        volumes:
          - configMap:
              defaultMode: 420
              name: op-control-beta-config
            name: config
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: op-control-beta
    name: op-control-beta
  spec:
    ports:
    - name: 8080-tcp
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      app: op-control-beta
    sessionAffinity: None
    type: ClusterIP
- apiVersion: route.openshift.io/v1
  kind: Route
  metadata:
    labels:
      app: op-control-beta
    name: op-control-beta
  spec:
    host: ntof-daq.web.cern.ch
    path: /beta/operation
    port:
      targetPort: 8080-tcp
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
    to:
      kind: Service
      name: op-control-beta
      weight: 110
    wildcardPolicy: None
